import { PackageManagerPlugin } from "./manager/PackageManagerPlugin";
export declare const DEFAULT_TSCONFIGPATH = "tsconfig.json";
export declare type Options = {
    rootDir: string;
    checkOnly: boolean;
    plugins?: PackageManagerPlugin[];
    tsConfigPath?: string;
    tsConfigPathFinder?(location: string): string;
};
export declare const toProjectReferences: (options: Options) => {
    ok: boolean;
    aggregateError: {
        message: string;
        errors: Error[];
    };
} | {
    ok: boolean;
    aggregateError?: undefined;
};
